# Werefox Rofi Theme

Custom Rofi theme to fit Werefox Software color scheme.

Color Palette:
- <div style="float:left;background-color:#121212;width:20px;height:20px"></div>&nbsp; #121212
- <div style="float:left;background-color:#242424;width:20px;height:20px"></div>&nbsp; #242424
- <div style="float:left;background-color:#424242;width:20px;height:20px"></div>&nbsp; #424242
- <div style="float:left;background-color:#52b3eb;width:20px;height:20px"></div>&nbsp; #52b3eb
- <div style="float:left;background-color:#cce1ff;width:20px;height:20px"></div>&nbsp; #cce1ff
- <div style="float:left;background-color:#ffd1fe;width:20px;height:20px"></div>&nbsp; #ffd1fe

Originally forked from the "Fox Theme" by Github User Murzchnvok: https://github.com/Murzchnvok/fox-rofi-theme

Accompanying Polybar theme: https://gitea.werefox.dev/shadow8t4/polybar-werefox-theme

![Screenshot preview of this theme with the accompanying Polybar](https://pf.werefox.dev/downloads/werefox-theme.jpg)

## Requirements

If you want this theme to work right out of the box, you should probably install these.

### DejaVuSansMono Nerd Font

You can download the TTF files for this font here: https://www.nerdfonts.com/font-downloads

## Optional

### Wallpaper

I tried my absolute best to find the original artist for this wallpaper, but all I could find was this URL and the original post I found it on in the r/wallpapers subreddit.

https://wallpapercave.com/w/wp5910934

### Icon Pack Used In Screenshot

This screenshot was using the Papirus Dark icon theme.

https://github.com/PapirusDevelopmentTeam/papirus-icon-theme

## Installation

For a clean installation method, I recommend the following:

```
# Clone this repository
git clone [desired location]
cd rofi-werefox-theme/

# Make a directory to store themes, this is currently Rofi's desired directory
mkdir -p $HOME/.local/share/rofi/themes

# Make a soft link to this config so we don't have to copy it
ln -s config.rasi $HOME/.local/share/rofi/themes/werefox.rasi

# Dump the current rofi config to Rofi's desired user config durectory
mkdir -p $HOME/.config/rofi
rofi -dump-config $HOME/.config/rofi/config.rasi

# Make a soft link to this theme's soft link to enable user to switch to other default themes easily
ln -s $HOME/.local/share/rofi/themes/werefox.rasi $HOME/.config/rofi/default-theme.rasi

# Change the user config to point to this theme by default
sed -i -E -e 's/^\/(.)+theme(.)+\/$/\ttheme: "default-theme";/g' $HOME/.config/rofi/config.rasi
```

## Contact

If you have any questions or need help setting up (or want to report a bug), you can contact me in the following places most effectively:

Discord: shadow8t4#8276

Telegram: [@shadow8t4](https://t.me/shadow8t4)

Matrix: @shadow8t4:matrix.werefox.dev